Package wx :: Package tools :: Module dbg :: Class Logger

[frames | no frames]

## Class Logger

Method Summary
| `__init__(self, name)`
| ``__call__`(self, *args, **kwargs)` This function provides a useful framework for generating optional debugging output that can be displayed at an arbitrary level of indentation.
| ``dbg`(self, *args, **kwargs)` This function provides a useful framework for generating optional debugging output that can be displayed at an arbitrary level of indentation.
| `IsEnabled()`
| `IsSuspended()`
| ``log`(self, *args, **kwargs)` This function provides a useful framework for generating optional debugging output that can be displayed at an arbitrary level of indentation.
| ``msg`(self, *args, **kwargs)` This function provides a useful framework for generating optional debugging output that can be displayed at an arbitrary level of indentation.
| `SetEnabled(self, value)`
| `SetIndent(self, value)`
| `SetStream(self, value)`
| `SetSuspend(self, value)`
| `SetWxLog(self, value)`

Method Details

### __call__(self, *args, **kwargs)
(Call operator)

This function provides a useful framework for generating optional debugging output that can be displayed at an arbitrary level of indentation.

### dbg(self, *args, **kwargs)

This function provides a useful framework for generating optional debugging output that can be displayed at an arbitrary level of indentation.

### log(self, *args, **kwargs)

This function provides a useful framework for generating optional debugging output that can be displayed at an arbitrary level of indentation.

### msg(self, *args, **kwargs)

This function provides a useful framework for generating optional debugging output that can be displayed at an arbitrary level of indentation.

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:07:52 2007 | http://epydoc.sf.net